#!/usr/bin/env python
# encoding: utf-8

import tweepy  # https://github.com/tweepy/tweepy

from geopy.geocoders import Nominatim
import pandas as pd
import statistics
import csv


# Twitter API credentials
consumer_key = "9fKQ3KtYL5wrz6cHqpzSwRgDy"
consumer_secret = "zI2I4HDBfPz9XzmmDJQyFQbjDOjc5hXrmTYXEHJDvVEeDaR0bm"
access_key = "1043573763789529088-b7mM9PJBy6kt17j6GlNTA3jqBEkluW"
access_secret = "YF9wjqpaA1wjGjx4L0iJgm94YWlrQItnAZNXshjakgmh4"


def get_all_tweets(screen_name):
    # Twitter only allows access to a users most recent 3240 tweets with this method

    # authorize twitter, initialize tweepy
    auth = tweepy.OAuthHandler(consumer_key, consumer_secret)
    auth.set_access_token(access_key, access_secret)
    api = tweepy.API(auth)

    # initialize a list to hold all the tweepy Tweets
    alltweets = []

    # make initial request for most recent tweets (200 is the maximum allowed count)
    new_tweets = api.user_timeline(screen_name=screen_name, count=200)

    # save most recent tweets
    alltweets.extend(new_tweets)

    # save the id of the oldest tweet less one
    oldest = alltweets[-1].id - 1

    # keep grabbing tweets until there are no tweets left to grab
    while len(new_tweets) > 0:
        print(f"getting tweets before {oldest}")

        # all subsiquent requests use the max_id param to prevent duplicates
        new_tweets = api.user_timeline(screen_name=screen_name, count=200, max_id=oldest)

        # save most recent tweets
        alltweets.extend(new_tweets)

        # update the id of the oldest tweet less one
        oldest = alltweets[-1].id - 1

        print(f"...{len(alltweets)} tweets downloaded so far")

    # transform the tweepy tweets into a 2D array that will populate the csv
    alltweets = list(filter(lambda tweet: tweet.coordinates is not None, alltweets))

    #outtweets = [[tweet.id_str, tweet.created_at, geocode(*tweet.coordinates["coordinates"]), tweet.text] for tweet in
               #  alltweets]
    outtweets = [[tweet.id_str, tweet.created_at, ','.join(str(x) for x in (tweet.coordinates["coordinates"])), tweet.text] for tweet in
                 alltweets]

    #outtweets = list(filter(lambda tweet: str(tweet[2]).isalpha() == False, outtweets))
    # outtweets = list(filter(lambda tweet: len(tweet[2]) == 5, outtweets))

    #for count, value in enumerate(outtweets):
       # z = value[2]
        # print(zip_to_county(z))
       # print(z)
    # outtweets[][2] = zip_to_county(z)

    # write the csv

    csvFile = open("data.csv", "w", newline="", encoding='utf-8')
    writer = csv.writer(csvFile)
    ## writer = csv.writer(f)
    writer.writerow(["id", "created_at", "location", "text"])
    writer.writerows(outtweets)





if __name__ == '__main__':
    # pass in the username of the account you want to download
    get_all_tweets("iwaspoisoned_")
