const Pool = require('pg').Pool
const pool = new Pool({
  user: "dbadmin",
  host: "usda-foodpoisoning.wpi.edu",
  database: "MQP",
  password: "8x6Hh!Jsr#tMGh$G",
  port: 5432,
});

const getTweetCount = () => {
  return new Promise(function(resolve, reject) {
    pool.query('SELECT COUNT(*) as tweet_count FROM word_cloud', (error, results) => {
      if (error) {
        reject(error)
      }
      console.log(error);
      resolve(results.rows);
    })
  }) 
}

//returning symptoms (values that are not [-1])
const getSymptoms = () => {
  return new Promise(function(resolve, reject) {
    pool.query('SELECT symptom_tokens FROM word_cloud WHERE symptom_tokens!=\'[-1]\'', (error, results) => {
      if (error) {
        reject(error)
      }
      console.log(error);
      resolve(results.rows);
    })
  }) 
}

//returning ingredients (values that are not [-1])
const getIngredients = () => {
  return new Promise(function(resolve, reject) {
    pool.query('SELECT food_tokens FROM word_cloud WHERE food_tokens!=\'[-1]\'', (error, results) => {
      if (error) {
        reject(error)
      }
      console.log(error);
      resolve(results.rows);
    })
  }) 
}



module.exports = {
  getTweetCount,
  getSymptoms,
  getIngredients
}