import React, {useState, useEffect} from "react";
import './BottomBanner.css';
import { Link } from 'react-router-dom';

export default function BottomBanner() {

    return (
        <div className="bottom-banner">
            <ul>
                <li className='nav-item'>
                    <Link
                        to='/'
                        className='bottom-banner-link' >
                        Home
                    </Link>
                </li>
                <li className='nav-item'>
                    <Link
                        to='/about'
                        className='bottom-banner-link'
                    >
                        About
                    </Link>
                </li>
                <li className='nav-item'>
                    <Link
                        to='/learn'
                        className='bottom-banner-link'
                    >
                        Learn
                    </Link>
                </li>
                <li className='nav-item'>
                    <Link
                        to='/tracker'
                        className='bottom-banner-link'
                    >
                        Tracker
                    </Link>
                </li>
            </ul>
        </div>

    );
}