import React from 'react';
import Seperator from '../seperator/seperator';
import './FoodPoisoningSymptoms.css';

function FoodPoisoningSymptoms() {

    return (
        <div className='foodPoisoningSymptoms-infographic'>
            <div className='heading'>
                <Seperator/>
                <h2>Food Poisoning Symptoms</h2>
                <Seperator/>
            </div>
            <div className='foodPoisoningSymptoms-section'>
                <div className='foodPoisoningSymptoms-section1'>
                    <p>1. Nausea</p>
                    <p>2. Vomiting / Diarrhea</p>
                    <p>3. Fever</p>
                </div>
                <div className='foodPoisoningSymptoms-section2'>
                </div>
                <div className='foodPoisoningSymptoms-section3'>
                    <p>Least Harmful</p>
                    <p>Most Harmful</p>
                </div>
            </div>
            <div className='resources'>
                <p>Information provided by the CDC</p>
            </div>
        </div>
    );
}

export default FoodPoisoningSymptoms;
