
import React, { useState } from 'react';
import Tooltip from '@mui/material/Tooltip';
import IconButton from '@mui/material/IconButton';
import Icon from '@mdi/react'
import { mdiInformationOutline } from '@mdi/js';
import './not-available.css';


function NotAvailable() {

    return (
        <div className="not-available">
            <Tooltip title="This feature is currently not available">
                <IconButton >
                    <Icon path={mdiInformationOutline}
                        size={1}
                        horizontal
                        vertical
                    />
                </IconButton>
            </Tooltip>
        </div>
    );
}

export default NotAvailable;
